## NAME

v.to.rast - Converts a binary GRASS vector map layer into a GRASS raster map layer.

## KEYWORDS

vector

## SYNOPSIS

v.to.rast
v.to.rast help
v.to.rast input=name output=name [use=string] [column=name] [layer=integer] [value=float] [rows=integer] [--overwrite]

### Flags:

--overwrite
  Force overwrite of output files

### Parameters:

input=name
  Name of input vector map
output=name
  Name for output raster map
use=string
  Source of raster values:
  attr - read values from attribute table
  cat - use category values
  val - use value specified by value option
  z - use z coordinate (points or contours only)
  dir - output as flow direction (lines only)
  Options: attr,cat,val,z,dir
  Default: attr
column=name
  Column name (type must be numeric)
layer=integer
  Layer number
  Default: 1
value=float
  Raster value
  Default: 1
rows=integer
  number of rows to hold in memory
  Default: 4096

## DESCRIPTION

v.to.rast transforms GRASS vector map layers into GRASS raster map layer format.

## NOTES

v.to.rast will only affect data in areas lying inside the boundaries of the current geographic region. Before running v.to.rast, the user should therefore ensure that the current geographic region is correctly set and that the region resolution is at the desired level.

Either the column parameter or the value parameter must be specified. The use option may be specified alone when using the dir option.

use options are:

- attr - read values from attribute table (default)
- cat - read values from category
- val - use value specified by value option
- z - use z coordinate (points or contours only)
- dir - output as flow direction in degrees (lines only)

The column parameter uses an existing column from the vector map database table as the category value in the output raster map. Existing table columns can be shown by using db.describe.

An empty raster map layer will be created if the vector map layer has not been assigned category/attribute labels (e.g., through use of v.category option=add).

Otherwise:

- Labeled areas and/or centroids will produce filled raster coverages with edges that straddle the original area boundary as long as the boundary is NOT labeled.
  (Use `v.category option=del type=boundary` to remove.)
- Labeled lines and boundaries will produce lines of raster cells which touch the original vector line. This tends to be more aggressive than area-only conversions.
- Points and orphaned centroids will be converted into single cells on the resultant raster map.

Flow directions are given in degrees counterclockwise from east.

## EXAMPLES

1. Convert a vector map and use column SPEED from attribute table

    db.describe -c table=vect_map

    ncols:3
    Column 1: CAT
    Column 2: SPEED
    Column 3: WIDTH

    v.to.rast in=vect_map out=raster_map col=SPEED

2. Calculate stream directions from a river vector map (Spearfish)

    v.to.rast in=streams out=streamsdir use=dir

## SEE ALSO

db.describe, v.category

## AUTHORS

Original code: Michael Shapiro, U.S. Army Construction Engineering Research Laboratory
GRASS 6 updates: Radim Blazek, ITC-Irst, Trento, Italy
Stream directions: Jaro Hofierka and Helena Mitasova

Last changed: $Date: 2007/01/28 16:30:34 $

Main index - vector index - Full index